Page MenuHomePhabricator

mq: disable qrecord during histedit (issue5981)
ClosedPublic

Authored by navaneeth.suresh on Feb 21 2019, 2:33 PM.

Details

Summary

qrecord during histedit may lead to deadlock-like situations. qpop will throw
an error on called during histedit even after qrecord-ing those changes. This
patch makes qrecord to abort on histedit.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuja added a subscriber: yuja.Feb 24 2019, 8:36 PM
with ui.configoverride(overrides, 'record'):

+ if repo.vfs.exists('histedit-state'):
+ raise error.Abort(_("histedit in progress, can't qrecord"))

cmdutil.dorecord(ui, repo, committomq, cmdsuggest, False,

Maybe cmdutil.checkunfinished() will do the job.

pulkit accepted this revision.Feb 25 2019, 10:11 AM
This revision was automatically updated to reflect the committed changes.

Thanks for queuing @pulkit. @yuja thanks for the review.